package body MSHTML.IHTMLStyle3_Object is

   procedure Put_layoutFlow
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_layoutFlow,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_layoutFlow;

   function Get_layoutFlow
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_layoutFlow);
   end Get_layoutFlow;

   procedure Put_zoom
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_zoom,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_zoom;

   function Get_zoom
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_zoom);
   end Get_zoom;

   procedure Put_wordWrap
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_wordWrap,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_wordWrap;

   function Get_wordWrap
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_wordWrap);
   end Get_wordWrap;

   procedure Put_textUnderlinePosition
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_textUnderlinePosition,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textUnderlinePosition;

   function Get_textUnderlinePosition
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_textUnderlinePosition);
   end Get_textUnderlinePosition;

   procedure Put_scrollbarBaseColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarBaseColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarBaseColor;

   function Get_scrollbarBaseColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarBaseColor);
   end Get_scrollbarBaseColor;

   procedure Put_scrollbarFaceColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarFaceColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarFaceColor;

   function Get_scrollbarFaceColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarFaceColor);
   end Get_scrollbarFaceColor;

   procedure Put_scrollbar3dLightColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbar3dLightColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbar3dLightColor;

   function Get_scrollbar3dLightColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbar3dLightColor);
   end Get_scrollbar3dLightColor;

   procedure Put_scrollbarShadowColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarShadowColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarShadowColor;

   function Get_scrollbarShadowColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarShadowColor);
   end Get_scrollbarShadowColor;

   procedure Put_scrollbarHighlightColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarHighlightColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarHighlightColor;

   function Get_scrollbarHighlightColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarHighlightColor);
   end Get_scrollbarHighlightColor;

   procedure Put_scrollbarDarkShadowColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarDarkShadowColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarDarkShadowColor;

   function Get_scrollbarDarkShadowColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarDarkShadowColor);
   end Get_scrollbarDarkShadowColor;

   procedure Put_scrollbarArrowColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarArrowColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarArrowColor;

   function Get_scrollbarArrowColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarArrowColor);
   end Get_scrollbarArrowColor;

   procedure Put_scrollbarTrackColor
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_scrollbarTrackColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_scrollbarTrackColor;

   function Get_scrollbarTrackColor
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_scrollbarTrackColor);
   end Get_scrollbarTrackColor;

   procedure Put_writingMode
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_writingMode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_writingMode;

   function Get_writingMode
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_writingMode);
   end Get_writingMode;

   procedure Put_textAlignLast
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_textAlignLast,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textAlignLast;

   function Get_textAlignLast
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_textAlignLast);
   end Get_textAlignLast;

   procedure Put_textKashidaSpace
     (This : IHTMLStyle3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyle3_Put_textKashidaSpace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textKashidaSpace;

   function Get_textKashidaSpace
     (This : IHTMLStyle3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyle3_Get_textKashidaSpace);
   end Get_textKashidaSpace;

end MSHTML.IHTMLStyle3_Object;

